ProjectUni/Models/Topics.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace ProjectUni.Models
{
    public class Topics
    {
        [Key]
        public int T_ID { get; set; }

        [Display(Name = "Topic Name"), Required]
        public string TName { get; set; }

        [Display(Name = "Field Category")]
        public int FieldId { get; set; }
        public virtual Fields Fields { get; set; }
    }
}

ProjectUni/Controllers/JobsController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ProjectUni.Models;

namespace ProjectUni.Controllers
{
    public class JobsController : Controller
    {
        private PContext db = new PContext();

        // GET: Jobs
        public ActionResult Index()
        {
            var job = db.Job.Include(j => j.Cities).Include(j => j.degreearea).Include(j => j.degreelevel).Include(j => j.Industries);
            return View(job.ToList());
        }

        public ActionResult Applyby(int id)
        {
            var job = db.JobApplication.Where(j => j.JobId == id).ToList();
            return View(job);
        }

        public ActionResult ApplybyDetail(int id)
        {
            var user = db.users.Where(j => j.UserId == id).FirstOrDefault();
            return View(user);
        }

        // GET: Jobs/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Job job = db.Job.Find(id);
            if (job == null)
            {
                return HttpNotFound();
            }
            return View(job);
        }

        // GET: Jobs/Create
        public ActionResult Create()
        {
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName");
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName");
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName");
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName");
            ViewBag.JobDesignation = new SelectList(db.fields, "FieldId", "FieldName");
            var ob = db.Registration.Find(Session["UserID"]);
            var cm = db.Companies.Where(c => c.Email == ob.Email).SingleOrDefault();
            ViewBag.CompanyId = cm.CompanyName;
            return View();
        }

        // POST: Jobs/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "JobId,JobTitle,JobDesignation,JobDescription,Skills,JobType,CityId,JobShift,IndustryId,CareerLevel,Experience,MinSalary,MixSalary,Gender,Positions,JobDate,ApplyBefore,MinAge,MaxAge,LevelId,DegreeId,Status,Company")] Job job)
        {
            if (ModelState.IsValid)
            {
                job.JobDate = DateTime.Now.ToString();
                db.Job.Add(job);
                db.SaveChanges();
                return RedirectToAction("JobIndex","Companies");
            }

            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", job.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName", job.DegreeId);
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", job.LevelId);
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName", job.IndustryId);
            ViewBag.JobDesignation = new SelectList(db.fields, "FieldId", "FieldName");
            return View(job);
        }

        // GET: Jobs/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Job job = db.Job.Find(id);
            if (job == null)
            {
                return HttpNotFound();
            }
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", job.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName", job.DegreeId);
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", job.LevelId);
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName", job.IndustryId);
            return View(job);
        }

        // POST: Jobs/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "JobId,JobTitle,JobDesignation,JobDescription,Skills,JobType,CityId,JobShift,IndustryId,CareerLevel,Experience,MinSalary,MixSalary,Gender,Positions,JobDate,ApplyBefore,MinAge,MaxAge,LevelId,DegreeId,Status,Company")] Job job)
        {
            if (ModelState.IsValid)
            {
                db.Entry(job).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("JobIndex", "companies");
            }
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", job.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName", job.DegreeId);
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", job.LevelId);
            ViewBag.IndustryId = new SelectList(db.industries, "IndustryId", "IndustryName", job.IndustryId);
            return View(job);
        }

        // GET: Jobs/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Job job = db.Job.Find(id);
            if (job == null)
            {
                return HttpNotFound();
            }
            return View(job);
        }

        // POST: Jobs/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Job job = db.Job.Find(id);
            db.Job.Remove(job);
            db.SaveChanges();
            return RedirectToAction("JobIndex","companies");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ProjectUni/Controllers/UsersController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.IO;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Routing;
using ProjectUni.Models;

namespace ProjectUni.Controllers
{
    [AuthorizeUserAccessLevel(UserRole = "Candidate")]
    public class UsersController : Controller
    {
        private PContext db = new PContext();

        public ActionResult Jobs()
        {
            var jobs = db.Job.Where(j => j.ApplyBefore > DateTime.Now).ToList();
            return View(jobs);
        }

        public ActionResult PageDetail(int id)
        {

            var notes = db.Notes.Where(n => n.T_ID == id).FirstOrDefault();
            if (notes == null)
            {
                return RedirectToAction("Topics", "users", new { id = 0 });
            }

            return View(notes);
        }

        public ActionResult VideoDetail(int id)
        {

            var video = db.Videos.Where(n => n.T_ID == id).ToList();
            return PartialView("_VideoDetail", video);
        }

        public ActionResult Courses()
        {
            var InstituteCourses = db.InstituteCourse.Include(c => c.Course).Include(c => c.Institute).Where(i => i.StartDate > DateTime.Now);
            return View(InstituteCourses.ToList());
        }

        public ActionResult Coursedetail(int id)
        {
            var Institute = db.institute.Where(i => i.InstituteId == id).SingleOrDefault();
            return View(Institute);
        }

        public ActionResult Topics(int? id)
        {
            var topics = db.Topics.ToList();
            if(id == 0)
            {
                ViewBag.error = "Sorry: This topic does not contain content.";
            }
            return View(topics);
        }

        public ActionResult TestTopic(int? id)
        {
            if (id == 0)
            {
                ViewBag.TestAttempted = "You are not able to this test yet. You get next attempt after 3 months of test.";
            }
            if (id == -1)
            {
                ViewBag.error = "Sorry: This topic does not contain any content.";
            }
            var topics = db.Topics.ToList();
            return View(topics);
        }

        public ActionResult TestQuiz(int id)
        {
            string email = Session["Email"].ToString();
            var tdate = DateTime.Now.AddMonths(-3);
            var TestAttempted = db.Result.Where(rs => rs.Date > tdate && rs.UserEmail == email).ToList();
            if(TestAttempted.Any(t => t.T_ID == id))
            {
                return RedirectToAction("TestTopic",new { id = 0});
            }


            var Questions = db.Test.Where(q => q.T_ID == id).ToList();
            if (Questions == null || Questions.Count == 0)
            {
                return RedirectToAction("TestTopic", "users", new { id = -1 });
            }
            Random rnd = new Random();
            var counter = 3/*Questions.Count*/;
            int r = 0;
            List<Test> finalListb = new List<Test>();
            while (counter > 0)
            {
                r = rnd.Next(Questions.Count);
                var temp = Questions.ElementAt(r);
                counter--;
                if (!finalListb.Contains(temp))
                {
                    finalListb.Add(temp);
                }
            }
            
            return View(finalListb);
        }

        [HttpGet]
        public JsonResult Getques(int qid)
        {
            var ques = db.Test.Where(q => q.QuesId == qid).SingleOrDefault();
                return Json(ques, JsonRequestBehavior.AllowGet);
            
        }



        public ActionResult JobDetail(int id)
        {
            var applyby = Session["Email"].ToString();
            var jobapplication = db.JobApplication.Where(j => j.JobId == id && j.Applyby == applyby).SingleOrDefault();
            var jobs = db.Job.Where(j => j.JobId == id).FirstOrDefault();
            if (jobs == null)
            {
               return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            if (jobapplication != null)
            {
                ViewBag.status = 1;
                return View(jobs);
            }
            return View(jobs);
        }

        public ActionResult ApplyforJob(int id)
        {
                var applyjob = new JobApplication();
                applyjob.JobId = id;
                applyjob.Applyby = Session["Email"].ToString();
                db.JobApplication.Add(applyjob);
                db.SaveChanges();
                return RedirectToAction("Jobs");
        }


        [AuthorizeUserAccessLevel(UserRole = "Candidate")]
        // GET: Users/Details/5
        public ActionResult ViewInfo_P(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            if (id != (int)Session["CandidateID"])
            {
                return HttpNotFound();
            }
            Users users = db.users.Find(id);
            if (users == null)
            {
                return HttpNotFound();
            }
            Users userPer = new Users();
            userPer.UserId = users.UserId;
            userPer.FirstName = users.FirstName;
            userPer.LastName = users.LastName;
            userPer.Email = users.Email;
            userPer.Gender = users.Gender;
            userPer.DateofBirth = users.DateofBirth;
            userPer.Contact = users.Contact;
            userPer.CNIC = users.CNIC;
            userPer.Address = users.Address;
            userPer.Image = users.Image;
            userPer.CityId = users.CityId;
            userPer.Cities = db.cities.Find(users.CityId);


            return View(userPer);
        }

        [AuthorizeUserAccessLevel(UserRole = "Candidate")]
        // GET: Users/Details/5
        public ActionResult ViewInfo_Ed(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            if (id != (int)Session["CandidateID"])
            {
                return HttpNotFound();
            }
            Users users = db.users.Find(id);
            if (users == null)
            {
                return HttpNotFound();
            }
            Users userEdu = new Users();
            userEdu.UserId = users.UserId;
            userEdu.LevelId = users.LevelId;
            userEdu.DegreeId = users.DegreeId;
            userEdu.Institute = users.Institute;
            userEdu.DateofCompletion = users.DateofCompletion;
            userEdu.Grade = users.Grade;
            userEdu.Skills = users.Skills;
            userEdu.Image = users.Image;
            userEdu.degreearea = db.DegreeAreas.Find(users.DegreeId);
            userEdu.degreelevel = db.DegreeLevels.Find(users.LevelId);
            return View(userEdu);
        }

        [AuthorizeUserAccessLevel(UserRole = "Candidate")]
        // GET: Users/Details/5
        public ActionResult ViewInfo_Ex(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            if (id != (int)Session["CandidateID"])
            {
                return HttpNotFound();
            }
            Users users = db.users.Find(id);

            if (users == null)
            {
                return HttpNotFound();
            }
            Users userEx = new Users();
            userEx.UserId = users.UserId;
            userEx.OrganizationName = users.OrganizationName;
            userEx.Image = users.Image;
            userEx.Responsibility = users.Responsibility;
            userEx.Duration = users.Duration;

            return View(userEx);
        }

        [AuthorizeUserAccessLevel(UserRole = "Candidate")]
        // GET: Users/Create
        public ActionResult InsertInfo(int? id, string actid)

        {
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName");
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName");
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName");
            if (id == null)
            {
                return View();
            }
            Users users = db.users.Find(id);
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", users.CityId);
            ViewBag.DegreeId = new SelectList(db.DegreeAreas, "DegreeId", "AreaName");
            ViewBag.LevelId = new SelectList(db.DegreeLevels, "LevelId", "LevelName", users.LevelId);
            ViewBag.action = actid;
            var temp = db.DegreeAreas.Find(users.DegreeId);
            if (temp != null)
                ViewBag.deg = temp.AreaName;
            if (users == null)
            {
                return HttpNotFound();
            }

            return View(users);
        }

        // POST: Users/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult InsertInfo([Bind(Include = "FirstName,LastName,Email,Gender,Image,DateofBirth,Contact,CNIC,Address,CityId,LevelId,DegreeId,Institute,DateofCompletion,Grade,Skills,OrganizationName,Duration,Responsibility")] Users users, int? UserId, DateTime? DateofCompletion, HttpPostedFileBase Image)
        {
            if (ModelState.IsValid)
            {

                if (Image != null)
                {

                    var filename = Path.GetFileName(Image.FileName);
                    var extension = Path.GetExtension(filename).ToLower();

ProjectUni/Views/Users/Coursedetail.cshtml
@model ProjectUni.Models.Institute

@{
    ViewBag.Title = "Coursedetail";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}


<div>
    <h3>Institute</h3>
    <hr />

    <dl class="dl-horizontal col-sm-9">

        <dt>
            @Html.DisplayNameFor(model => model.InstituteName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.InstituteName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Website)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Website)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Contact)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Contact)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Address)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Address)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Cities.CityName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Cities.CityName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.AffiliatedBy)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AffiliatedBy)
        </dd>

    </dl>
    <img src="@Url.Content(Model.Image)" class="image img-responsive col-sm-3" alt="Profile Pic">

</div>
<p>
    @Html.ActionLink("Back to List", "Courses","Users")
</p>

ProjectUni/Views/Users/JobDetail.cshtml
@model ProjectUni.Models.Job

@{
    ViewBag.Title = "JobDetail";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}

<h2>JobDetail</h2>

<div>
    <h4>Job</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Cities.CityName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Cities.CityName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.degreearea.AreaName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.degreearea.AreaName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.degreelevel.LevelName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.degreelevel.LevelName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Industries.IndustryName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Industries.IndustryName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobTitle)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobTitle)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobDesignation)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobDesignation)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobDescription)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobDescription)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Skills)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Skills)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobType)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobType)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.JobShift)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.JobShift)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.CareerLevel)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CareerLevel)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Experience)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Experience)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.MinSalary)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.MinSalary)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.MixSalary)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.MixSalary)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Gender)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Gender)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Positions)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Positions)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ApplyBefore)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ApplyBefore)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.MinAge)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.MinAge)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.MaxAge)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.MaxAge)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Company)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Company)
        </dd>

    </dl>
    @if (@ViewBag.status == 1)
    {
        <p class="text-info">You Applied for this job.</p>
    }
    else
    {
        using (Html.BeginForm("ApplyforJob", "Users", FormMethod.Post, new { enctype = "multipart/form-data" }))
        {
            @Html.AntiForgeryToken()

            <input type="hidden" name="id" value="@Model.JobId">

            <input type="submit" value="Apply" class="btn btn-default btn-sumbit" />

        }
    }



</div>
<p>
    @Html.ActionLink("Back to List", "Jobs")
</p>

ProjectUni/Views/Users/Jobs.cshtml
@model IEnumerable<ProjectUni.Models.Job>

    @{
    ViewBag.Title = "Jobs";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
    }



    <div class="col-xs-12">
        <div class="box">
            <div class="box-body" style="background-color:rgba(0, 0, 0, 0.81);margin-bottom:20px;">
                <h2 style="color:white">Jobs</h2>
                <div class="table-responsive " style="color:white;">
                    <table class="table table-bordered">
                        <tr>
                            <th>Job Title</th>
                            <th>Job Description</th>
                            <th>Experience</th>
                            <th>Salary</th>
                            <th>Apply Before</th>
                            <th>Company</th>
                        </tr>
                                @foreach (var item in Model)
            {
                    <tr>
                        <td>
                            <a href="@Url.Action("JobDetail", "Users" ,new { id=item.JobId })">
                                @Html.DisplayFor(modelItem => item.JobTitle)
                            </a>
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.JobDescription)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Experience)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.MinSalary) -
                            @Html.DisplayFor(modelItem => item.MixSalary)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.ApplyBefore)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Company)
                        </td>
                    </tr>
}

                            </table>

                </div>
            </div>
        </div>
    </div>

ProjectUni/Views/Users/TestTopic.cshtml
@model IEnumerable<ProjectUni.Models.Topics>
@{
    ViewBag.Title = "TestTopic";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body" style="background-color:rgba(0, 0, 0, 0.81);margin-top:20px;">
            <h2 style="color:white;margin-left:10px;">Test Topic</h2>
            <hr />


            <ul id="mylist">
                @foreach (var item in Model)
                {
                    <li id="@item.T_ID" class="glyphicon glyphicon-arrow-right item" style="list-style:none;color:#06ff13;margin-left:0px;"><a style="color:white;font-size:large" href="@Url.Action("TestQuiz", "Users", new { id = item.T_ID })">@Html.DisplayFor(modelItem => item.TName)</a></li>
                    <hr />
                }

            </ul>



            <h3 class="text-danger">@ViewBag.error</h3>
            <h3 class="text-danger">@ViewBag.TestAttempted</h3>

        </div>
    </div>
</div>

ProjectUni/Views/Users/ViewInfo_Ed.cshtml
@model ProjectUni.Models.Users

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";

}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <div class="col-sm-3 sidenav" style="background-color:rgba(0, 0, 0, 0.81);margin-bottom:20px;">

                <h3 class="ph">Canditate Image</h3>
                <img src="@Url.Content(Model.Image)" class="image img-responsive" alt="Profile Pic">

                
                <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("ViewInfo_p", "Users",new  { id = Model.UserId })">Personal Info</a></p>
                <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("ViewInfo_Ed", "Users",new  { id = Model.UserId })">Educational Info</a></p>
                <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("ViewInfo_Ex", "Users",new  { id = Model.UserId })">Experience</a></p>
            </div>

            <div class="col-sm-8 main-content text-left" style="background-color:rgba(0, 0, 0, 0.81);">
                <h3 class="ph" style="margin-top:20px;">Personal Information</h3>
                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.degreelevel)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.degreelevel.LevelName)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.degreearea)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.degreearea.AreaName)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Institute)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.Institute)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.DateofCompletion)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.DateofCompletion)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Grade)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.Grade)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Skills)
                    </dt>

                    <dd>
                        @Html.ValueFor(model => model.Skills)
                    </dd>



                    @Html.ActionLink("Edit", "InsertInfo", new { id = Model.UserId, actid = "Ed" }, new { @class = "btn btn-primary" })

                </dl>
            </div>
        </div>
    </div>
</div>

ProjectUni/Views/Users/ViewInfo_Ex.cshtml
@model ProjectUni.Models.Users

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";

}
<div class="col-xs-12">
    <div class="box">
        <div class="box-body">
            <div class="col-sm-3 sidenav" style="background-color:rgba(0, 0, 0, 0.81);margin-bottom:20px;">

                <h3 class="ph">Canditate Image</h3>
                <img src="@Url.Content(Model.Image)" class="image img-responsive" alt="Profile Pic">

                
                <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("ViewInfo_p", "Users",new  { id = Model.UserId })">Personal Info</a></p>
                <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("ViewInfo_Ed", "Users",new  { id = Model.UserId })">Educational Info</a></p>
                <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("ViewInfo_Ex", "Users",new  { id = Model.UserId })">Experience</a></p>
            </div>

            <div class="col-sm-8 main-content text-left" style="background-color:rgba(0, 0, 0, 0.81);">
                <h3 class="ph" style="margin-top:20px;">Personal Information</h3>
                <dl class="dl-horizontal">
                    <dt>@Html.DisplayNameFor(model => model.OrganizationName) </dt>
                    <dd> @Html.DisplayFor(model => model.OrganizationName)</dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Responsibility)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.Responsibility)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.Duration)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.Duration)
                    </dd>


                    @Html.ActionLink("Edit", "InsertInfo", new { id = Model.UserId, actid = "Ex" }, new { @class = "btn btn-primary" })

                </dl>
            </div>

        </div>
    </div>
</div>